Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "slotSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotNotification",
"params": {
"result": {
"parent": 75,
"root": 44,
"slot": 76
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "slotSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotNotification",
"params": {
"result": {
"parent": 75,
"root": 44,
"slot": 76
},
"subscription": 0
}
}Websockets
Slot subscribe
Subscribe to processed slots, including their parent and root. Save the subscription ID returned in result and match it against params.subscription in notifications. Use slotUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "slotSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotNotification",
"params": {
"result": {
"parent": 75,
"root": 44,
"slot": 76
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "slotSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotNotification",
"params": {
"result": {
"parent": 75,
"root": 44,
"slot": 76
},
"subscription": 0
}
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
slotSubscribe
type:object
Subscribe to slot notifications
slotNotification
type:object
Slot notification
slotSubscribe
type:object
Subscribe to slot notifications
slotNotification
type:object
Slot notification
Was this page helpful?